--
--  Class MapIcon

local addonData, triggers = ...
triggers.defaults = {}
local c = nill
c = {
"\\auras\\Yell.png",
"\\auras\\Move.png",
"\\auras\\Purge.png",
"\\auras\\Taunt.png",
"\\auras\\Shield.png",
"\\auras\\Fight.png",
"\\auras\\ArrowLeft.png",
"\\auras\\ArrowRight.png",
"\\auras\\ArrowUp.png",
"\\auras\\ArrowDown.png",
"\\auras\\Lock.png",
"\\auras\\Zipper.png",
"\\auras\\Aura-61.dds",
"\\auras\\Aura-62.dds",
"\\auras\\Aura-63.dds",
"\\auras\\Aura-64.dds",
"\\auras\\Aura-65.dds",
"\\auras\\Aura-66.dds",
"\\auras\\Aura-67.dds",
"\\auras\\Aura-68.dds",
"\\auras\\Aura-69.dds",
"\\auras\\Aura-70.dds",
"\\auras\\Aura-71.dds",
"\\auras\\Aura-72.dds",
"\\auras\\Aura-73.dds",
"\\auras\\Aura-74.dds",
"\\auras\\Aura-75.dds",
"\\auras\\Aura-1.dds" ,
"\\auras\\Aura-2.dds" ,
"\\auras\\Aura-3.dds" ,
"\\auras\\Aura-4.dds" ,
"\\auras\\Aura-5.dds" ,
"\\auras\\Aura-6.dds" ,
"\\auras\\Aura-7.dds" ,
"\\auras\\Aura-8.dds" ,
"\\auras\\Aura-9.dds" ,
"\\auras\\Aura-10.dds",
"\\auras\\Aura-11.dds",
"\\auras\\Aura-12.dds",
"\\auras\\Aura-13.dds",
"\\auras\\Aura-14.dds",
"\\auras\\Aura-15.dds",
"\\auras\\Aura-16.dds",
"\\auras\\Aura-17.dds",
"\\auras\\Aura-18.dds",
"\\auras\\Aura-19.dds",
"\\auras\\Aura-20.dds",
"\\auras\\Aura-21.dds",
"\\auras\\Aura-22.dds",
"\\auras\\Aura-23.dds",
"\\auras\\Aura-24.dds",
"\\auras\\Aura-25.dds",
"\\auras\\Aura-26.dds",
"\\auras\\Aura-27.dds",
"\\auras\\Aura-28.dds",
"\\auras\\Aura-29.dds",
"\\auras\\Aura-30.dds",
"\\auras\\Aura-31.dds",
"\\auras\\Aura-32.dds",
"\\auras\\Aura-33.dds",
"\\auras\\Aura-34.dds",
"\\auras\\Aura-35.dds",
"\\auras\\Aura-36.dds",
"\\auras\\Aura-37.dds",
"\\auras\\Aura-38.dds",
"\\auras\\Aura-39.dds",
"\\auras\\Aura-40.dds",
"\\auras\\Aura-41.dds",
"\\auras\\Aura-42.dds",
"\\auras\\Aura-43.dds",
"\\auras\\Aura-44.dds",
"\\auras\\Aura-45.dds",
"\\auras\\Aura-46.dds",
"\\auras\\Aura-47.dds",
"\\auras\\Aura-48.dds",
"\\auras\\Aura-49.dds",
"\\auras\\Aura-50.dds",
"\\auras\\Aura-51.dds",
"\\auras\\Aura-52.dds",
"\\auras\\Aura-53.dds",
"\\auras\\Aura-54.dds",
"\\auras\\Aura-55.dds",
"\\auras\\Aura-56.dds",
"\\auras\\Aura-57.dds",
"\\auras\\Aura-58.dds",
"\\auras\\Aura-59.dds",
"\\auras\\Aura-60.dds",
}

triggers.defaults.images = c

triggers.defaults.sharedNotifications = {
		"Triggers-Debilitated",
		"Triggers-Fight",
		"Triggers-Interupt",
		"Triggers-Move",
		"Triggers-Purge",
		"Triggers-Rooted",
		"Triggers-Shield",
		"Triggers-Taunt",
}

triggers.defaults.encounterNotifications = {
	["00a4a2fd-5d83-49ec-910f-947ed9c0079a"] = {
		["Triggers-Fight"] = {
			triggers = {
				{
					abilityId = "Shocking Results",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "00a4a2fd-5d83-49ec-910f-947ed9c0079a",
					filtered = true,
					id = "0fbabc1f-63fd-492b-878e-8b8d1a518c37",
					name = "Shocking Results",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				}
			}
		},
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "B3040440BC6A6D1E3",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "00a4a2fd-5d83-49ec-910f-947ed9c0079a",
					filtered = true,
					id = "d55870a7-8982-494b-a73e-16b1bd98720f",
					name = "Akvan Parasite",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		}
	},
	["056e4789-498b-4d72-a05d-9d200536224d"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "B4F939E531892A63D",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "056e4789-498b-4d72-a05d-9d200536224d",
					filtered = true,
					id = "b882eba8-cc82-4799-b154-f4bf89e433fd",
					name = "Demonic Leash",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = 1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "B754EA8F273BA7102",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "056e4789-498b-4d72-a05d-9d200536224d",
					filtered = true,
					id = "49dbffc7-863a-4dd2-a566-a51ffc66da6d",
					name = "Mangled",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = true,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		}
	},
	["16eb50ea-c9ca-4b37-98ff-998d24a9abb3"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "Curse of Five",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "16eb50ea-c9ca-4b37-98ff-998d24a9abb3",
					filtered = true,
					id = "bdbf6796-2cab-43b3-a3be-38cb72ac9d26",
					name = "Curse of Five",
					relation = 1,
					roles = 15,
					selfCast = true,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Curse",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				},
				{
					abilityId = "Curse of Four",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "16eb50ea-c9ca-4b37-98ff-998d24a9abb3",
					filtered = true,
					id = "8424ad7d-7822-47cd-afbc-7231fff3057c",
					name = "Curse of Four",
					relation = 1,
					roles = 15,
					selfCast = true,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Curse",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				},
				{
					abilityId = "Leaping Contagion",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "16eb50ea-c9ca-4b37-98ff-998d24a9abb3",
					filtered = true,
					id = "7b3a92fe-bf2b-48d2-9316-6119aa41118e",
					name = "Leaping Contagion",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "spread",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				},
				{
					abilityId = "B021C92E245FAFBE8",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "16eb50ea-c9ca-4b37-98ff-998d24a9abb3",
					filtered = true,
					id = "85c34f6b-40b1-4d12-9939-e9332a65f736",
					name = "Okadaic Poisoning",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "away",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Shield"] = {
			triggers = {
				{
					abilityId = "Shattering Roar",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "16eb50ea-c9ca-4b37-98ff-998d24a9abb3",
					filtered = true,
					id = "e61225f8-0619-453f-9a45-8378d371b55e",
					name = "Shattering Roar",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Hide",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "B4486EDC5314F7515",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "16eb50ea-c9ca-4b37-98ff-998d24a9abb3",
					filtered = true,
					id = "15c623a9-ef19-4e1c-9aa1-d7828c9fed56",
					name = "Nerve Pinch",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "taunt",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 4
				},
				{
					abilityId = "Nerve Pinch",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "16eb50ea-c9ca-4b37-98ff-998d24a9abb3",
					filtered = true,
					id = "f3968cf6-6332-4c21-b8f4-507e5508ad23",
					name = "Nerve Pinch",
					relation = 1,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "casting",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		}
	},
	["1cd3aee0-2df5-470b-a823-c8f3298858d4"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "Smash",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "1cd3aee0-2df5-470b-a823-c8f3298858d4",
					filtered = true,
					id = "7d2a266a-51b1-4cad-8695-39d55025778f",
					name = "Smash",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "LEFT",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				},
				{
					abilityId = "Tail Smash",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "1cd3aee0-2df5-470b-a823-c8f3298858d4",
					filtered = true,
					id = "68228855-b5c5-46a2-90cf-2a1d9f31d17e",
					name = "Tail Smash",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "RIGHT",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		}
	},
	["44faec01-029b-4fbd-96c2-ab175db2a147"] = {
		["Triggers-Shield"] = {
			triggers = {
				{
					abilityId = "B38B339C441F4389B",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "44faec01-029b-4fbd-96c2-ab175db2a147",
					filtered = true,
					id = "b4bf99b9-7c4f-471b-afa4-f88437bf37c5",
					name = "Runic Feedback",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "STOP",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				},
				{
					abilityId = "B3E769838F67DE15A",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "44faec01-029b-4fbd-96c2-ab175db2a147",
					filtered = true,
					id = "9e5e4613-9439-4b05-baa1-3a6e7ed9c359",
					name = "Runic Feedback",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "STOP",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				}
			}
		}
	},
	["452c4f7b-4739-498c-ba81-85f09cb32f00"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "Brutal Swell",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "452c4f7b-4739-498c-ba81-85f09cb32f00",
					filtered = true,
					id = "9da50987-65dc-4646-985e-c55b622ec828",
					name = "Brutal Swell",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "BFA19EC4C71EAC966",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "452c4f7b-4739-498c-ba81-85f09cb32f00",
					filtered = true,
					id = "50a1980e-4476-46c9-8402-866e4432a592",
					name = "Waterlogged",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = 1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 4
				}
			}
		}
	},
	["616b6f66-fe1a-4a3e-9c76-a1330fbf7e2e"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "Earthen Geyser",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "616b6f66-fe1a-4a3e-9c76-a1330fbf7e2e",
					filtered = true,
					id = "e26378de-5afc-4fde-8680-c3e5409c811b",
					name = "Earthen Geyser",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 4
				}
			}
		},
		["Triggers-Shield"] = {
			triggers = {
				{
					abilityId = "B745F3CA1D7AACF91",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "616b6f66-fe1a-4a3e-9c76-a1330fbf7e2e",
					filtered = true,
					id = "12a8ee9b-070d-4e60-a420-3124b50f0f2a",
					name = "Earthen Punishment",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "STOP",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				},
				{
					abilityId = "B367AC0B3A07D481F",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "616b6f66-fe1a-4a3e-9c76-a1330fbf7e2e",
					filtered = true,
					id = "61d0f5b6-24fd-44d6-bc8a-15f86ba0d279",
					name = "Protection of Dance",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Dance",
					time = 0,
					timer = true,
					timerCompare = 1,
					type = 1,
					unit = 1
				},
				{
					abilityId = "B27047F5E57909008",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "616b6f66-fe1a-4a3e-9c76-a1330fbf7e2e",
					filtered = true,
					id = "8b2868a0-eda8-4d53-993d-8f33d4e2f314",
					name = "The Point Protection",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Point",
					time = 0,
					timer = true,
					timerCompare = 1,
					type = 1,
					unit = 1
				}
			}
		}
	},
	["72948703-3720-472e-843b-a60e4c55b53f"] = {
		["Triggers-Interupt"] = {
			triggers = {
				{
					abilityId = "Dark Volley",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "72948703-3720-472e-843b-a60e4c55b53f",
					filtered = true,
					id = "6371ea04-8027-4b89-9409-774515af8085",
					name = "Dark Volley",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		}
	},
	["78573583-9f95-45d1-a021-6aaa6544de99"] = {
		["Triggers-Interupt"] = {
			triggers = {
				{
					abilityId = "Hideous Blast",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "78573583-9f95-45d1-a021-6aaa6544de99",
					filtered = true,
					id = "f14ee780-1870-4021-a717-bdcf1ddabf7c",
					name = "Hideous Blast",
					relation = 1,
					roles = 14,
					selfCast = false,
					showSpark = true,
					stackCompare = 1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 4
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "B0B4DDDAC557677AC",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "78573583-9f95-45d1-a021-6aaa6544de99",
					filtered = true,
					id = "8a17b384-11d0-4b10-860b-7f1e36d405b7",
					name = "Matron's Curse",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		}
	},
	["7aed3dee-5e8d-4161-9c5b-8b59dbd3f0e4"] = {
		["Triggers-Interupt"] = {
			triggers = {
				{
					abilityId = "Vorpal Strike",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "7aed3dee-5e8d-4161-9c5b-8b59dbd3f0e4",
					filtered = true,
					id = "9e4eb115-8a2c-4d20-ad0c-726d5f1041f2",
					name = "Vorpal Strike",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		}
	},
	["84eb3c2d-be4b-49d0-b3c0-d2c55cfa710c"] = {
		["Triggers-Interupt"] = {
			triggers = {
				{
					abilityId = "Iced",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "84eb3c2d-be4b-49d0-b3c0-d2c55cfa710c",
					filtered = true,
					id = "245e8e3a-75c2-4151-b6cc-ff5b3612a5e8",
					name = "Iced",
					relation = 1,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = 1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "B7EEC49241458804E",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "84eb3c2d-be4b-49d0-b3c0-d2c55cfa710c",
					filtered = true,
					id = "3e722459-9325-4b45-b5c3-4535a071fd4b",
					name = "Living Ice",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "B41589C3B824AAA3D",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "84eb3c2d-be4b-49d0-b3c0-d2c55cfa710c",
					filtered = true,
					id = "6d4dd97d-2bc2-42b8-8b37-517b6fbc7709",
					name = "Sapping Cold",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 4
				}
			}
		}
	},
	["8b8ee6c2-b6bc-4202-ad5a-a176fbefa71c"] = {
		["Triggers-Fight"] = {
			triggers = {
				{
					abilityId = "B236C38AD4F6628B9",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "8b8ee6c2-b6bc-4202-ad5a-a176fbefa71c",
					filtered = true,
					id = "b2c6ca4f-61e2-4788-9f77-091ba69a77e4",
					name = "Crystal Attunement",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = 1,
					stacker = true,
					stacks = 0,
					time = 0,
					timer = true,
					timerCompare = 1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Interupt"] = {
			triggers = {
				{
					abilityId = "Crashing Boulders",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "8b8ee6c2-b6bc-4202-ad5a-a176fbefa71c",
					filtered = true,
					id = "5bacb19b-f300-4690-8260-3533c840d1c8",
					name = "Crashing Boulders",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
		["Triggers-Purge"] = {
			triggers = {
				{
					abilityId = "B449713427979FDBA",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "8b8ee6c2-b6bc-4202-ad5a-a176fbefa71c",
					filtered = true,
					id = "4bcd4cd0-a2bb-4222-83da-4f14b6674278",
					name = "Protection of Greed",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				},
				{
					abilityId = "B577F8F5E46BAB1C2",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "8b8ee6c2-b6bc-4202-ad5a-a176fbefa71c",
					filtered = true,
					id = "19d496e9-10a1-4dc4-a769-6dbb45228f45",
					name = "Rage of Greed",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = true,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				}
			}
		}
	},
	["8baf5800-2501-422d-8d38-38e56ba74350"] = {
		["Triggers-Purge"] = {
			triggers = {
				{
					abilityId = "B7A825F2E84F066DE",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "8baf5800-2501-422d-8d38-38e56ba74350",
					filtered = true,
					id = "05c7b63b-aa30-43d8-9c2a-a10896410439",
					name = "Soul Harvest",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 6,
					timer = true,
					timerCompare = -1,
					type = 1,
					unit = 2
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "B39F8633FFE7018E7",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "8baf5800-2501-422d-8d38-38e56ba74350",
					filtered = true,
					id = "195e4d46-b95e-4349-9254-6c3581f8e477",
					name = "Torturous Strike",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		}
	},
	["a2dde443-8766-4a7e-b041-0be95211c28a"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "Building Pressure",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "a2dde443-8766-4a7e-b041-0be95211c28a",
					filtered = true,
					id = "e2538548-65ad-428d-8436-e06b83d9b4e8",
					name = "Building Pressure",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				},
				{
					abilityId = "Ink Blast",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "a2dde443-8766-4a7e-b041-0be95211c28a",
					filtered = true,
					id = "98fbb427-3bad-4a2a-855b-24858662761a",
					name = "Ink Blast",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 4
				}
			}
		}
	},
	["af381ece-00d1-4bae-bf3c-1917b6a625ed"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "Bond of the Earth",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "af381ece-00d1-4bae-bf3c-1917b6a625ed",
					filtered = true,
					id = "9ea5b085-6b43-49ff-872d-eba95e67d9fb",
					name = "Bond of the Earth",
					relation = 1,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				},
				{
					abilityId = "B31D4541F643A49F8",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "af381ece-00d1-4bae-bf3c-1917b6a625ed",
					filtered = true,
					id = "7ec98c87-b237-4138-af1f-e1e3a3d52ea3",
					name = "Bond of the Earth",
					relation = 1,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				},
				{
					abilityId = "Spines of Earth",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "af381ece-00d1-4bae-bf3c-1917b6a625ed",
					filtered = true,
					id = "a94b16a7-c9e8-46d6-97ae-7f591cd64bba",
					name = "Spines of Earth",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "OUT",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "B29E50447887349B4",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "af381ece-00d1-4bae-bf3c-1917b6a625ed",
					filtered = true,
					id = "944dfe1d-34ca-4d42-998c-2a3176b39e54",
					name = "Brittle",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		}
	},
	["b66294d4-b8a6-4d5c-a88f-42f6f2d22ece"] = {
		["Triggers-Shield"] = {
			triggers = {
				{
					abilityId = "B4715C4481328B322",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "b66294d4-b8a6-4d5c-a88f-42f6f2d22ece",
					filtered = true,
					id = "95663aab-e5ee-42c9-b4a8-fb517a96a89a",
					name = "Fragmented",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = 1,
					stacker = true,
					stacks = 3,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 4
				}
			}
		},
		["506a6d9b-05b2-4fdc-919f-52cba7d0cedc"] = {
			abilityIcon = true,
			color = {
				1,
				1,
				1
			},
			combatOnly = false,
			deletable = true,
			description = "Weakness Interupt - shows only when you need to interupt",
			disabled = false,
			displayIf = 2,
			id = "506a6d9b-05b2-4fdc-919f-52cba7d0cedc",
			opacity = 100,
			position = {
				left = 100.00030530989,
				top = 217.50024010241
			},
			roles = "",
			size = 238,
			triggers = {
				{
					abilityId = "B45313C9E8C36D5BC",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "b66294d4-b8a6-4d5c-a88f-42f6f2d22ece",
					filtered = true,
					id = "cf217c74-52b4-41d2-9cea-7ad5a03a16a4",
					name = "Negate Weakness",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Don't Interupt",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				},
				{
					abilityId = "Weakness",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "b66294d4-b8a6-4d5c-a88f-42f6f2d22ece",
					filtered = true,
					id = "f9cb620e-4ca5-4e83-9a7f-6893ae406006",
					name = "Weakness",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Interupt",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
		["b8aa21e3-0cd7-44ae-824c-a9d9e2de1fdc"] = {
			abilityIcon = true,
			color = {
				1,
				1,
				1
			},
			combatOnly = false,
			deletable = true,
			description = "Pain Interupt - shows only when you need to interupt",
			disabled = true,
			displayIf = 2,
			id = "b8aa21e3-0cd7-44ae-824c-a9d9e2de1fdc",
			opacity = 100,
			position = {
				left = 140.75000943243,
				top = 430.7500718832
			},
			roles = "",
			size = 148,
			triggers = {
				{
					abilityId = "B65A6B877AED839FF",
					abilityState = 1,
					buffState = 2,
					color = {
						0.875,
						0,
						0.131
					},
					disabled = false,
					encounterId = "b66294d4-b8a6-4d5c-a88f-42f6f2d22ece",
					filtered = true,
					id = "abdf4e8f-d889-4b89-90d0-eea4411fe93c",
					name = "Negate Pain",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "DONT",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				},
				{
					abilityId = "Pain",
					abilityState = 1,
					buffState = 2,
					color = {
						0.875,
						0,
						0.131
					},
					disabled = false,
					encounterId = "b66294d4-b8a6-4d5c-a88f-42f6f2d22ece",
					filtered = true,
					id = "512329d0-bc24-4821-8b9d-6b296e960b1d",
					name = "Pain",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "INT",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
		["04533555-43ad-4b1b-9551-beb19084bd09"] = {
			abilityIcon = true,
			color = {
				1,
				1,
				1
			},
			combatOnly = false,
			deletable = true,
			description = "Petrified Interupt - shows only when you need to interupt",
			disabled = false,
			displayIf = 1,
			id = "04533555-43ad-4b1b-9551-beb19084bd09",
			opacity = 100,
			position = {
				left = 543,
				top = 268.25
			},
			roles = "",
			size = 148,
			triggers = {
				{
					abilityId = "B315A43E76B9A5BE9",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "b66294d4-b8a6-4d5c-a88f-42f6f2d22ece",
					filtered = true,
					id = "89626b85-1f8b-42db-ab31-ee4404bc3de7",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				},
				{
					abilityId = "Petrified",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "b66294d4-b8a6-4d5c-a88f-42f6f2d22ece",
					filtered = true,
					id = "58d48dbe-a1ca-469b-a918-2fda22114176",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		},
	},
	["dfeb7723-9519-4183-ad9e-893034c9af25"] = {
		["Triggers-Fight"] = {
			triggers = {
				{
					abilityId = "Condemn",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "dfeb7723-9519-4183-ad9e-893034c9af25",
					filtered = true,
					id = "cf10d0ea-9c8e-41dd-b795-b9d65ca5f48b",
					name = "Condemn",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				}
			}
		},
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "B7D8D3F4105F548D9",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "dfeb7723-9519-4183-ad9e-893034c9af25",
					filtered = true,
					id = "24b59126-2f76-46e3-8968-6599bfbb3730",
					name = "Conduit of Martrodraum",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Purge"] = {
			triggers = {
				{
					abilityId = "Nightmare Conviction",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "dfeb7723-9519-4183-ad9e-893034c9af25",
					filtered = true,
					id = "88e872de-cd75-431b-8a3a-2e5cfea32797",
					name = "Nightmare Conviction",
					relation = 1,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 2
				}
			}
		}
	},
	["ee298afd-7623-41f1-867b-116531177bb2"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "B1CE376C74FF99A0B",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "ee298afd-7623-41f1-867b-116531177bb2",
					filtered = true,
					id = "463b0a01-a73e-44f3-87da-31e3ca8a5293",
					name = "Ancient Flames",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 20,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		}
	},
	["f56137db-7444-4cf3-9980-654967eb9efb"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "B4C4948F20AF1A6EE",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "f56137db-7444-4cf3-9980-654967eb9efb",
					filtered = true,
					id = "96c596dd-430c-4b50-b898-87ef65444355",
					name = "Curse of Greed",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				},
				{
					abilityId = "B4C4948F40AF2AD8C",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "f56137db-7444-4cf3-9980-654967eb9efb",
					filtered = true,
					id = "2dd40984-33bf-4fe8-b9eb-3b03f9c9e0fc",
					name = "Curse of Greed",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Shield"] = {
			triggers = {
				{
					abilityId = "Touch of the Core",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "f56137db-7444-4cf3-9980-654967eb9efb",
					filtered = true,
					id = "bc2b2ac6-2759-4aeb-b199-f42c5b93a2db",
					name = "Touch of the Core",
					relation = 1,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				}
			}
		}
	},
	["f7cfa344-dc7a-44d0-969f-fefe07d4a620"] = {
		["Triggers-Move"] = {
			triggers = {
				{
					abilityId = "Chains of Fate",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "f7cfa344-dc7a-44d0-969f-fefe07d4a620",
					filtered = true,
					id = "8601366d-49c7-4c38-a3e3-4239e02eae00",
					name = "Chains of Fate",
					relation = 2,
					roles = 15,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Shield"] = {
			triggers = {
				{
					abilityId = "Doom",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "f7cfa344-dc7a-44d0-969f-fefe07d4a620",
					filtered = true,
					id = "44d5c17a-cd9d-43e6-9f02-b56824c98caa",
					name = "Doom",
					relation = 1,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 4,
					unit = 2
				},
				{
					abilityId = "B3E8A493410227332",
					abilityState = 1,
					buffState = 1,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "f7cfa344-dc7a-44d0-969f-fefe07d4a620",
					filtered = true,
					id = "0b7f112a-3a6f-478e-8915-e82218cbcd5d",
					name = "Radiation Burn",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					text = "Coold Down",
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		},
		["Triggers-Taunt"] = {
			triggers = {
				{
					abilityId = "B612532B0036B17F6",
					abilityState = 1,
					buffState = 2,
					color = {
						1,
						1,
						1
					},
					disabled = false,
					encounterId = "f7cfa344-dc7a-44d0-969f-fefe07d4a620",
					filtered = true,
					id = "bc48ea50-5b07-4b97-b968-311e54aba956",
					name = "Erase",
					relation = 2,
					roles = 2,
					selfCast = false,
					showSpark = true,
					stackCompare = -1,
					stacker = false,
					time = 3,
					timer = false,
					timerCompare = -1,
					type = 1,
					unit = 1
				}
			}
		}
	}
}

triggers.defaults.defaultNotifications =
{
	["Triggers-Debilitated"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = false,
		deletable = false,
		description = "Use this alert to show active debilitated effects.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Debilitated",
		image = "\\auras\\Zipper.png",
		opacity = 100,
		position = {
			left = 391.25003057718,
			top = 206.25003378093
		},
		roles = "",
		size = 150,
		triggers = {
			{
				abilityId = "B14139AB6B816E509",
				abilityNew = "A1ACA1E136349AFC6",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "e10f7366-b6f9-49bb-a0d7-3410a6bda043",
				name = "Rift Tomb",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B3E7773C3C6D3FD63",
				abilityNew = "A654BA4F839263416",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "c0de3ad6-36ce-4a31-b082-881a172bd0f0",
				name = "Sigil of Secrecy",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "BFA64BC2A0DD3D6BF",
				abilityNew = "AFE25D76873B07A06",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "7e93f3ba-0d47-4964-9b7f-7b84ccb74c6a",
				name = "Rift Barrage",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "BFA2E479F3BA5E256",
				abilityNew = "AFB8ED91C60650349",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "e74ff592-b732-429d-8bac-1168385d6be3",
				name = "Disorienting Blast",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B2D22A1C50389C533",
				abilityNew = "A3EEEE196C09A4ECE",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "4cc192f4-31da-467c-9d4a-1cc8f1910995",
				name = "Predictable Movements",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B5D278C4144D1FF80",
				abilityNew = "A3FB33AC4DCC2A8D1",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "f44a59ca-50f5-4ac0-ad6a-59fffb976635",
				name = "Wrist Strike",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "BFBCD2B55B3B3D958",
				abilityNew = "AFD5AEB5354E6F8AE",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "e52d64c4-b55f-43cb-951d-9c49bdaace0a",
				name = "Choke",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "BFC7F05716502A90E",
				abilityNew = "AFFB89AE245A079DF",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = false,
				id = "c23ced9a-ddd3-4a04-bf4d-822afc1003c9",
				name = "Blade Rush",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "BFB46C33E3AC62111",
				abilityNew = "AFBCE23FDCCB100C5",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "973d1398-1bab-4721-bc72-5dde9180b3a7",
				name = "Disabling Shock",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B0898D1B3EF5AA965",
				abilityNew = "A6093113D9440BAD8",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "3e5f9eb4-1a17-4412-97f9-0d9e76fe7413",
				name = "Shock Burst",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "BFD7651B9F67A984F",
				abilityNew = "AFBAAA9410F39C3D7",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "d020fa1b-74d4-4d50-aa4b-9dd1796c2d5e",
				name = "Shock",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B28C3E2923BE95570",
				abilityNew = "A0AB28F04A29ADDCB",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "799409f3-3b7a-487d-a891-13b02d7bf887",
				name = "Bewilder",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B611DF4FC6B0026E3",
				abilityNew = "A676EE72DCC5F20EE",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "a9786ed8-ddef-492c-b8ee-37e9d6c54f2c",
				name = "Trepidation",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B1F6B5E85F3499387",
				abilityNew = "A59E1BD579C0516B4",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "069d8ee8-4379-47c8-8301-470926431289",
				name = "Sovereignty",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "BFA7B6D488817464E",
				abilityNew = "AFD9342A111A68EC7",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "2a0afaa8-cf38-45f1-b84e-5e05f1125bf0",
				name = "Sigil of Ruin",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B3C6FDEBAF893E224",
				abilityNew = "A38B5DDFE11A68EC7",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "633fb651-a1c1-4ac2-aeff-db5e3f537964",
				name = "Sigil of Ruin",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			}
		}
	},
	["Triggers-Fight"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = false,
		deletable = false,
		description = "Use this notification for bonus damage boosts from encounter mechanics.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Fight",
		image = "\\auras\\Fight.png",
		opacity = 100,
		position = {
			left = 391.25003057718,
			top = 56.250033780932
		},
		roles = "",
		size = 150,
		triggers = {
		}
	},
	["Triggers-Interupt"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = false,
		deletable = false,
		description = "Use this notification for casts needing interupts.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Interupt",
		image = "\\auras\\Yell.png",
		opacity = 100,
		position = {
			left = 241.25003057718,
			top = 56.250033780932
		},
		roles = "",
		size = 150,
		triggers = {
		}
	},
	["Triggers-Move"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = false,
		deletable = false,
		description = "Use this notification for movement related alerts.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Move",
		image = "\\auras\\Move.png",
		opacity = 100,
		position = {
			left = 91.250030577182,
			top = 356.25003378093
		},
		roles = "",
		size = 150,
		triggers = {
		}
	},
	["Triggers-Purge"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = true,
		deletable = false,
		description = "Use this notification when purges are required.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Purge",
		image = "\\auras\\Purge.png",
		opacity = 100,
		position = {
			left = 241.25003057718,
			top = 206.25003378093
		},
		roles = "",
		size = 150,
		triggers = {
		}
	},
	["Triggers-Rooted"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = false,
		deletable = false,
		description = "Use this notification to show active rooted effects.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Rooted",
		image = "\\auras\\Lock.png",
		opacity = 100,
		position = {
			left = 91.250030577182,
			top = 206.25003378093
		},
		roles = "",
		size = 150,
		triggers = {
			{
				abilityId = "BFB62D48B6E175124",
				abilityNew = "AFADC3EABAFEA41FC",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = true,
				id = "e35f5520-6c27-4092-add4-564d1851d600",
				name = "Eye of the Storm",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			},
			{
				abilityId = "B6B2E74FCFD03EEB1",
				abilityNew = "A630898F107D27DCD",
				abilityState = 1,
				buffState = 1,
				color = {
					1,
					1,
					1
				},
				disabled = false,
				filtered = false,
				id = "1321fed2-75eb-43e6-b3eb-ad8183c5b3ef",
				name = "Death's Edict",
				relation = 1,
				roles = 15,
				selfCast = false,
				showSpark = true,
				stackCompare = -1,
				stacker = false,
				time = 0,
				timer = true,
				timerCompare = 1,
				type = 1,
				unit = 2
			}
		}
	},
	["Triggers-Shield"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = false,
		deletable = false,
		description = "Use this notification for Stop Damage and Intercept mechanics.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Shield",
		image = "\\auras\\Shield.png",
		opacity = 100,
		position = {
			left = 91.250030577182,
			top = 56.250033780932
		},
		roles = "",
		size = 150,
		triggers = {
		}
	},
	["Triggers-Taunt"] = {
		abilityIcon = false,
		color = {
			1,
			1,
			1
		},
		combatOnly = false,
		deletable = false,
		description = "Use this notification for tank swap mechanics.",
		disabled = false,
		displayIf = 1,
		id = "Triggers-Taunt",
		image = "\\auras\\Taunt.png",
		opacity = 100,
		position = {
			left = 241.25003057718,
			top = 356.25003378093
		},
		roles = "",
		size = 150,
		triggers = {
		}
	}
}
(function()
	for id, item in pairs(triggers.defaults.defaultNotifications)do
		for encounterId, data in pairs(triggers.defaults.encounterNotifications)do
			if(data[id] and data[id].triggers)then
				for _, trigger in ipairs(data[id].triggers)do
					table.insert(item.triggers,trigger)
				end
			end
		end
	end
end)()

function triggers.defaults.ExportDefaultNotificationsByEncounter()
	TRIGGER_EXPORT = {}
	for encounterId, value in pairs(libEncounters.EncounterManager.items) do
		for _, nId in ipairs(triggers.defaults.sharedNotifications) do
			local st = {}
			local n = triggers.Notifications:GetNotification(nId)
			for _, t in ipairs(n.triggers) do
				if(t.encounterId == encounterId)then
					table.insert(st,t)
				end
			end
			if(#st > 0)then
				local sort_func = function( a,b ) return a.name < b.name end
				table.sort( st, sort_func )
				TRIGGER_EXPORT[encounterId] = TRIGGER_EXPORT[encounterId] or {}
				TRIGGER_EXPORT[encounterId][nId] = TRIGGER_EXPORT[encounterId][nId] or { }
				TRIGGER_EXPORT[encounterId][nId].triggers = TRIGGER_EXPORT[encounterId][nId].triggers or {}
				for _, t in ipairs(st)do
					table.insert(TRIGGER_EXPORT[encounterId][nId].triggers,t:Serialize())
				end
			end
		end
	end
end
--libTDebug.UIDebug:AddTable("config.DefaultTriggers",triggers.defaults.defaultNotifications)