--
--  Class MenuItem_Import

local addonData, triggers = ...

local MenuItem_Import = {}
MenuItem_Import.__index = MenuItem_Import

function MenuItem_Import.Create()
	local obj = {}
	setmetatable(obj,MenuItem_Import)
	obj:Init()
	return obj
end

function MenuItem_Import:Init()
	self.items = {}
	self.description = "Import"
	self.parent = nil
end

function MenuItem_Import.UISetup(handle,parent)
	self = triggers.MenuItem_Import
	self.parent = parent
end

function MenuItem_Import:MenuClicked()
	triggers.ImportDialog:Show()
end

triggers.MenuItem_Import = MenuItem_Import.Create()

Command.Event.Attach(Triggers.Event.ContextCreated , MenuItem_Import.UISetup, "MenuItem_Import.UISetup")