--
--  Class MenuItem_Sharing

local addonData, triggers = ...

local MenuItem_Sharing = {}
MenuItem_Sharing.__index = MenuItem_Sharing

function MenuItem_Sharing.Create()
	local obj = {}
	setmetatable(obj,MenuItem_Sharing)
	obj:Init()
	return obj
end

function MenuItem_Sharing:Init()
	self.items = {}
	self.description = "Sharing Center"
	self.parent = nil
end

function MenuItem_Sharing.UISetup(handle,parent)
	self = triggers.MenuItem_Sharing
	self.parent = parent
end

function MenuItem_Sharing:MenuClicked()
	triggers.SharingDialog:Show()
end

triggers.MenuItem_Sharing = MenuItem_Sharing.Create()

Command.Event.Attach(Triggers.Event.ContextCreated , MenuItem_Sharing.UISetup, "MenuItem_Sharing.UISetup")