--
--  Class MenuItem_CPUGraph

local addonData, triggers = ...

local MenuItem_CPUGraph = {}
MenuItem_CPUGraph.__index = MenuItem_CPUGraph

function MenuItem_CPUGraph.Create()
	local obj = {}
	setmetatable(obj,MenuItem_CPUGraph)
	obj:Init()
	return obj
end

function MenuItem_CPUGraph:Init()
	self.items = {}
	self.description = "CPU Graph (toggle)"
	self.parent = nil
end

function MenuItem_CPUGraph.UISetup(handle,parent)
	self = triggers.MenuItem_CPUGraph
	self.parent = parent
end

function MenuItem_CPUGraph:MenuClicked()
	triggers.CPUGraph:ToggleVisibility()
end

triggers.MenuItem_CPUGraph = MenuItem_CPUGraph.Create()
Command.Event.Attach(Triggers.Event.ContextCreated , MenuItem_CPUGraph.UISetup, "MenuItem_CPUGraph.UISetup")