libTMessaging = ...


function libTMessaging.SendMessage(to, dataTable, messageId, callback)

	local sendData = Utility.Serialize.Inline(dataTable)
	libTDebug.UIDebug:DEBUG(nil, "Share: to:%s id:%s Data:%s", to, messageId, sendData)
	local cd = zlib.deflate(zlib.BEST_COMPRESSION)(sendData, "finish")
	Command.Message.Send(to, messageId, cd, callback)
end

function libTMessaging.ParseMessage(data, textField)
	local d, eof = zlib.inflate()(data)
	if not eof then
		libTDebug.UIDebug:DEBUG(nil, "Share: There is an error decompressing the string")
		textField:SetText("There is an error decompressing the string")
		return nil
	end
	local responseData = loadstring("return " .. d)()
	return responseData
end