--
--  Class MenuItem_Debug

local addonData, triggers = ...

local MenuItem_Debug = {}
MenuItem_Debug.__index = MenuItem_Debug

function MenuItem_Debug.Create()
	local obj = {}
	setmetatable(obj,MenuItem_Debug)
	obj:Init()
	return obj
end

function MenuItem_Debug:Init()
	self.items = {}
	self.description = "Debug"
	self.parent = nil
end

function MenuItem_Debug.UISetup(handle,parent)
	self = triggers.MenuItem_Debug
	self.parent = parent
end

function MenuItem_Debug:MenuClicked()
	libTDebug.UIDebug:Show()
end

triggers.MenuItem_Debug = MenuItem_Debug.Create()

Command.Event.Attach(Triggers.Event.ContextCreated , MenuItem_Debug.UISetup, "MenuItem_Debug.UISetup")