--
--  Class MenuItem_NewAbility

local addonData, triggers = ...

local MenuItem_NewAbility = {}
MenuItem_NewAbility.__index = MenuItem_NewAbility

function MenuItem_NewAbility.Create()
	local obj = {}
	setmetatable(obj,MenuItem_NewAbility)
	obj:Init()
	return obj
end

function MenuItem_NewAbility:Init()
	self.items = {}
	self.width = 700
	self.height = 600
	self.description = "New Ability"
	self.parent = nil
end

function MenuItem_NewAbility.UISetup(handle,parent)
	self = triggers.MenuItem_NewAbility
	self.parent = parent
end

function MenuItem_NewAbility:MenuClicked()
	triggers.Notifications:CreateNewNotification(false)
end

triggers.MenuItem_NewAbility = MenuItem_NewAbility.Create()

Command.Event.Attach(Triggers.Event.ContextCreated , MenuItem_NewAbility.UISetup, "MenuItem_NewAbility.UISetup")