--
--  Class MenuItem_NewNotification

local addonData, triggers = ...

local MenuItem_NewNotification = {}
MenuItem_NewNotification.__index = MenuItem_NewNotification

function MenuItem_NewNotification.Create()
	local obj = {}
	setmetatable(obj,MenuItem_NewNotification)
	obj:Init()
	return obj
end

function MenuItem_NewNotification:Init()
	self.items = {}
	self.width = 700
	self.height = 600
	self.description = "New Notification"
	self.parent = nil
end

function MenuItem_NewNotification.UISetup(handle,parent)
	self = triggers.MenuItem_NewNotification
	self.parent = parent
end

function MenuItem_NewNotification:MenuClicked()
	triggers.Notifications:CreateNewNotification(true)
end

triggers.MenuItem_NewNotification = MenuItem_NewNotification.Create()

Command.Event.Attach(Triggers.Event.ContextCreated , MenuItem_NewNotification.UISetup, "MenuItem_NewNotification.UISetup")